### Method

# EDataBook BookBackend configure_direct

since: 3.8

#### Declaration [src]

    void
    e_book_backend_configure_direct (
      EBookBackend* backend,
      const gchar* config
    )

#### Description [src]

This method is called on `backend` in direct read access mode. The `config` argument is the same configuration string which the same backend reported in the `EDataBookDirect` returned by e_book_backend_get_direct_book().

The configuration string is optional and is used to ensure that direct access backends are properly configured to interface with the same data as the running server side backend.

Available since: 3.8

#### Parameters

`config`

  Type: `const gchar*`

  The configuration string for the given backend.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.